gnutls_pcert_import_rawpk(3)

NAME
gnutls_pcert_import_rawpk - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_import_rawpk(gnutls_pcert_st * pcert, gnutls_pubkey_t pubkey, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert
    The pcert structure to import the data into.

gnutls_pubkey_t pubkey
    The raw public-key in gnutls_pubkey_t format to be imported

unsigned int flags
    zero for now

DESCRIPTION
This convenience function will import (i.e. convert) the given raw public key pubkey into a gnutls_pcert_st structure. The structure must be deinitialized afterwards using gnutls_pcert_deinit(). The given pubkey must not be deinitialized because it will be associated with the given pcert structure and will be deinitialized with it.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/